## turbogears2-doc 2.0+svn6611

=== Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  web       to make files usable by Sphinx.web"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf _build/*

html:
	mkdir -p _build/html _build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."
web:
	mkdir -p _build/web _build/doctrees
	$(SPHINXBUILD) -b web $(ALLSPHINXOPTS) _build/web
	@echo
	@echo "Build finished; now you can run"
	@echo "  python -m sphinx.web _build/web"
	@echo "to start the server."

htmlhelp:
	mkdir -p _build/htmlhelp _build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

latex:
	mkdir -p _build/latex _build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p _build/changes _build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	mkdir -p _build/linkcheck _build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

## turbogears2-doc 2.1.5

=== debian/changelog ===
turbogears2-doc (2.1.5-1) unstable; urgency=low

  * New upstream release.
  * Drop build-w-sphinx-062.dpatch , not needed anymore.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 08 Jun 2012 17:13:55 +0200

turbogears2-doc (2.1.1-1) unstable; urgency=low

  * New maintainer (closes: #658927), new upstream release.
  * Rework packaging:
    - change d/rules to use debhelper instead of cdbs (this fixes objects.inv
      previously compressed problem [closes: #608777]),
    - use 3.0 (quilt) source format,
    - add no_network.patch to don't try to use network during building,
    - use Standards-Version 3.9.2 ,
    - remove embedded jquery and underscore javascript libraries, link to
      their packaged files.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 16 Feb 2012 11:51:35 +0000

turbogears2-doc (2.0+svn6611-2) unstable; urgency=low

  * Orphan package.

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 01 Feb 2012 18:23:43 +0100

turbogears2-doc (2.0+svn6611-1) unstable; urgency=low

  * New upstream release
  * debian/control: bump Standards-Version to 3.8.3 (no changes needed)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 24 Aug 2009 17:36:52 +0200

turbogears2-doc (2.0+svn6599-1) unstable; urgency=low

  * First release (Closes: #535975)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 20 Jul 2009 13:47:41 +0200

=== debian/control ===
Source: turbogears2-doc
Section: doc
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends:
 debhelper (>= 7),
 python-sphinx,
 python-babel,
 python-turbogears2 (>= 2.1)
Standards-Version: 3.9.3
Homepage: http://turbogears.org/2.1/docs/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/turbogears2-doc/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/turbogears2-doc/trunk/

Package: python-turbogears2-doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
Description: documentation for the TurboGears2 web framework
 TurboGears2 is a framework to develop web applications in Python,
 following a model-view-controller architecture.
 .
 The main TurboGears2 package is python-turbogears2. This package
 contains the framework documentation (architecture description,
 tutorials, references, howtos and recipes, ...)
 .
 The documentation shipped by this package corresponds to what is
 usually available on the TG2 documentation website.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR = $(CURDIR)/debian/python-turbogears2-doc

help:
	dh $@

clean:
	dh_testdir
	dh_clean
	$(MAKE) clean
	rm -f sphinxlog.txt
	rm -f code_ext.pyc
	rm -f _static/ToscaWidgetsFormsExample.zip _static/trunk.zip

configure:

build-arch:

build-indep:
	dh_testdir
	$(MAKE) html

build: build-arch build-indep

install:

binary-arch: build

binary-indep: build
	dh_testdir
	dh_installdocs
	dh_installchangelogs
	find $(DESTDIR) -name .pc -type d | xargs rm -rf
	rm -f $(DESTDIR)/usr/share/doc/python-turbogears2-doc/html/_sources/main/License.txt
	rm -f $(DESTDIR)/usr/share/doc/python-turbogears2-doc/html/_static/jquery.js
	rm -f $(DESTDIR)/usr/share/doc/python-turbogears2-doc/html/_static/underscore.js
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary: binary-arch binary-indep

## turbogears2-doc 2.3.5

=== requirements.txt ===
-e git://github.com/TurboGears/crank.git@master#egg=crank
-e git://github.com/TurboGears/tg2.git@tg2.3.5#egg=TurboGears2
tw2.forms
-e git://github.com/TurboGears/tgext.crud.git@master#egg=tgext.crud
-e git://github.com/TurboGears/tgext.admin.git@master#egg=tgext.admin
nose

=== debian/changelog ===
turbogears2-doc (2.3.5-1) unstable; urgency=medium

  * New upstream release.
  * Build with local Intersphinx cache.
  * Update homepage.
  * Update Standards-Version to 3.9.6 and debhelper level to 9 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 19 Jul 2015 14:13:04 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: turbogears2-doc
 Section: doc
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
- debhelper (>= 7),
+ debhelper (>= 9),
  python-sphinx,
  python-babel,
- python-turbogears2 (>= 2.1)
-Standards-Version: 3.9.3
-Homepage: http://turbogears.org/2.1/docs/
+ python-turbogears2 (>= 2.3.5),
+ python-crank
+Standards-Version: 3.9.6
+Homepage: http://turbogears.org/documentation.html
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/turbogears2-doc/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/turbogears2-doc/trunk/

## turbogears2-doc 2.3.7

=== requirements.txt ===
-e git://github.com/TurboGears/crank.git@master#egg=crank
-e git://github.com/TurboGears/tg2.git@tg2.3.7#egg=TurboGears2
tw2.forms
-e git://github.com/TurboGears/tgext.crud.git@master#egg=tgext.crud
-e git://github.com/TurboGears/tgext.admin.git@master#egg=tgext.admin
nose

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -w sphinxlog.txt
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*
	-rm -rf main/pagination/toscasample/dist

html: 
	mkdir -p _build/html _build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/TurboGears.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/TurboGears.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/TurboGears"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/TurboGears"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
turbogears2-doc (2.3.7-1) unstable; urgency=low

  * New upstream release.
  * Update local Intersphinx caches and add Ming one.
  * Update local_objects.inv.patch for this release.
  * Add tw2core.inv and ming.inv to package binaries list.
  * Add watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 12 Nov 2015 19:36:53 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  python-crank
 Standards-Version: 3.9.6
 Homepage: http://turbogears.org/documentation.html
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/turbogears2-doc/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/turbogears2-doc/trunk/
+#Vcs-Svn: svn://svn.debian.org/python-modules/packages/turbogears2-doc/trunk/
+#Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/turbogears2-doc/trunk/
 
 Package: python-turbogears2-doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR = $(CURDIR)/debian/python-turbogears2-doc

help:
	dh $@

clean:
	dh_testdir
	dh_clean
	cd docs/ && $(MAKE) clean
	rm -f docs/sphinxlog.txt
	rm -f docs/code_ext.pyc

configure:

build-arch:

build-indep:
	dh_testdir
	cd docs/ && $(MAKE) html

build: build-arch build-indep

install:

binary-arch: build

binary-indep: build
	dh_testdir
	dh_installdocs
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

=== debian/watch ===
version=3
https://github.com/TurboGears/tg2docs/releases \
 .+/archive/tg(.+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
